Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFont.Stretch

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFont.Stretch

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFont

    public static final class QFont.Stretch

extends java.lang.Enum
implements QtEnumerator

Predefined stretch values that follow the CSS naming convention. The higher the value, the more stretched the text is.

See also:
  `setStretch()`, and `stretch()`.

See Also:
  Serialized Form

Field Summary
`static QFont.Stretch` | `Condensed` 75
`static QFont.Stretch` | `Expanded` 125
`static QFont.Stretch` | `ExtraCondensed` 62
`static QFont.Stretch` | `ExtraExpanded` 150
`static QFont.Stretch` | `SemiCondensed` 87
`static QFont.Stretch` | `SemiExpanded` 112
`static QFont.Stretch` | `UltraCondensed` 50
`static QFont.Stretch` | `UltraExpanded` 200
`static QFont.Stretch` | `Unstretched` 100

Method Summary
`static QFont.Stretch` | `resolve(int value)` Returns the QFont$Stretch constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.Stretch` | `valueOf(java.lang.String name)`
`static QFont.Stretch[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UltraCondensed

    public static final QFont.Stretch UltraCondensed

  50

### ExtraCondensed

    public static final QFont.Stretch ExtraCondensed

  62

### Condensed

    public static final QFont.Stretch Condensed

  75

### SemiCondensed

    public static final QFont.Stretch SemiCondensed

  87

### Unstretched

    public static final QFont.Stretch Unstretched

  100

### SemiExpanded

    public static final QFont.Stretch SemiExpanded

  112

### Expanded

    public static final QFont.Stretch Expanded

  125

### ExtraExpanded

    public static final QFont.Stretch ExtraExpanded

  150

### UltraExpanded

    public static final QFont.Stretch UltraExpanded

  200

Method Detail

### values

    public static QFont.Stretch[] values()

### valueOf

    public static QFont.Stretch valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.Stretch resolve(int value)

  Returns the QFont$Stretch constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD